extends Node
class_name OffsetCoordinate

var col : int
var row : int

func _init(_col : int, _row : int) -> void:
	col = _col
	row = _row

func FromCube(cc : CubeCoordinate) -> void:
	col = cc.x + (cc.z - (cc.z & 1)) / 2;
	row = cc.z;

func FromAxial(ac : AxialCoordinate) -> void:
	col = ac.q + (ac.r - (ac.r & 1)) / 2;
	row = ac.r;

